Bug 1467129 - Review Request: python-pdir2 - Pretty dir() printing with joy
Review Request: python-pdir2 - Pretty dir() printing with joy
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neal Gompa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-02 20:47 EDT by Carl George
Modified: 2017-07-06 17:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-06 17:50:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ngompa13: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Carl George 2017-07-02 20:47:42 EDT
Spec URL: https://carl.george.computer/review/python-pdir2.spec
SRPM URL: https://carl.george.computer/review/python-pdir2-0.2.0-1.fc27.src.rpm
Scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=20298423
Description:
An improved version of dir() with better output.  Attributes are grouped by
types/functionalities, with beautiful colors.  Supports ipython, ptpython,
bpython, and Jupyter Notebook.
Fedora Account System Username: carlwgeorge
Comment 1 Neal Gompa 2017-07-02 21:26:17 EDT
Taking this review.
Comment 2 Neal Gompa 2017-07-02 21:28:54 EDT
This packager needs sponsorship, though it is a new version of "carlgeorge" account.
Comment 3 Neal Gompa 2017-07-02 21:29:22 EDT
I will sponsor this packager upon full review of the package.
Comment 4 Carl George 2017-07-02 21:45:36 EDT
FYI, I'm aware of the policy on multiple FAS accounts.  Once my new carlwgeorge id is sponsored, I'll add it to all my current packages and mark the old carlgeorge id as inactive.

https://fedoraproject.org/wiki/Account_System#Voluntary
Comment 5 Carl George 2017-07-05 01:55:51 EDT
Upstream released 0.2.1, which lets me drop two patches.

Spec URL: https://carl.george.computer/review/python-pdir2.spec
SRPM URL: https://carl.george.computer/review/python-pdir2-0.2.1-1.fc27.src.rpm
Scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=20335807
Comment 6 Neal Gompa 2017-07-05 18:22:17 EDT
Review notes:

[x] Follows general Fedora packaging guidelines
[x] Package is named appropriately per Python packaging guidelines
[x] License is marked correctly, and license file is included as %license file

Looks good to me. There's only one thing...

SHOULD FIX (on import):

[!] %{py2_build} -> %py2_build. For the sake of clarity, command macros should not be wrapped in braces. Especially when they actually *can* accept parameters.



Otherwise, package approved!
Comment 7 Neal Gompa 2017-07-05 18:23:32 EDT
I have sponsored in carlwgeorge.
Comment 8 Carl George 2017-07-05 20:23:13 EDT
I actually was not aware of that, thank you for letting me know.  I also found the supporting documentation that explains it in greater detail.

http://rpm.org/user_doc/macros.html#using-a-macro

I'll delete the braces on those macros in the final SRPM I import.
Comment 9 Gwyn Ciesla 2017-07-06 07:02:24 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-pdir2

Note You need to log in before you can comment on or make changes to this bug.